<?PHP
include('header.php'); ?>
<span class='top-bl-s-verh'>Внутренняя почта</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Всегда хорошо держать связь с другими участниками проекта. 
Пожалуйста, помните, что в сообщениях запрещён СПАМ, нецензурная лексика и оскорбления. 
Так же запрещено испольвать почту в рекламных целях. 
Администрация имеет право просматривать сообщения и наказывать нарушителей.
</td></tr>
</table>
<?
$num_p = isset($_GET["p"]) ? trim(intval($_GET["p"])) : '0';
$p_fil0 = $p_fil1 = $p_fil2 = $p_fil3 = $p_fil4 = NULL;
$zapros = NULL;
switch($num_p){
case 0: $descr = "Все письма";$p_fil0 = "active";
$zapros = "AND (`fromid`='$id_user' AND `fromdl`='0' OR `toid`='$id_user' AND `todl`='0')";break;
case 1: $descr = "Непрочитанные";$p_fil1 = "active";
$zapros = "AND `todl`='0' AND `toid`='$id_user' AND `read`>'4'";break;
case 2: $descr = "Отправленые";$p_fil2 = "active";
$zapros = "AND `fromdl`='0' AND `fromid`='$id_user'"; break;
case 3: $descr = "Принятые";$p_fil3 = "active";
$zapros = "AND `todl`='0' AND `toid`='$id_user'"; break;
case 4: $descr = "Написать";$p_fil4 = "active";break;
default:$descr = "Все письма";$p_fil0 = "active";
$zapros = "AND (`fromid`='$id_user' AND `fromdl`='0' OR `toid`='$id_user' AND `todl`='0')";
}
echo <<<script
<script>
function gofilter(p){ if(p > 0){ top.location = '/mail.php?p='+p;}else{ top.location = '/mail.php';}}
</script>
script;
echo "<br />";
echo "<div class='filterlines'>";
echo "<span class='filterline$p_fil4' onclick='gofilter(4);'>Написать</span>";
echo "<span class='filterline$p_fil0' onclick='gofilter(0);'>Все письма</span>";
echo "<span class='filterline$p_fil1' onclick='gofilter(1);'>Непрочитанные</span>";
echo "<span class='filterline$p_fil2' onclick='gofilter(2);'>Я пишу</span>";
echo "<span class='filterline$p_fil3' onclick='gofilter(3);'>Мне пишут</span>";
echo "</div><br />";

#вывод сообщений
if($num_p != 4 AND !isset($_GET["read"])){
echo "<table class='history' width='100%' border='0' cellpadding='0' cellspacing='0'>";
echo "<thead><tr>";
echo "<th width='12px'></th>";
echo "<th width='46px' align='center'>Дата</th>";
echo "<th width='229px' align='center'>Тема</th>";
echo "<th width='20px'></th>";
echo "<th width='50px' align='center'>Диалог</th>";
echo "<th width='12px'></th>";
echo "</tr>";
echo "</thead><tbody>";
	
$sql = mysql_query("SELECT * FROM `b_mails` WHERE `ident`='0' $zapros ORDER BY `timemessage` DESC") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
while($row = mysql_fetch_assoc($sql)){
$ident = $row["id"];
$sql1 = mysql_query("SELECT * FROM `b_mails` WHERE `ident`='$ident' ORDER BY `timemessage` DESC");
if(mysql_num_rows($sql1) > 0){
$res = mysql_fetch_assoc($sql1);
if($res["read"] == 0 AND $res["toid"] == $id_user OR $res["read"] == 5 AND $res["toid"] == $id_user) { $span = "new"; }else{ $span = "empty"; }
}else{
$span="empty";
}
?>
<tr id="id-dialog-<?=$ident?>">
<td class='value'><span class='mail-<?=$span ?>'></span></td>
<td class='value'><?=date_get($res["timemessage"]); ?></td>
<td><a href='/mail.php?read=<?=$ident ?>'><?=$row["text"] ?></a></td>
<td class='value'><span title='Количество ответов'><?=mysql_num_rows($sql1) ?></span></td>
<td><b><?=strtolower($row["fromus"]) ?> </b><br />
<?=strtolower($row["tous"]) ?></td>
<td><span class="mail-dell" style="cursor:pointer;" title="Удалить диалог" onclick="mail_dell(<?=$ident?>);"></span></td>
</tr>
<?
}
}else{
echo "<tr><td colspan='6'></td></tr>";
}
echo "</tbody></table>";
echo <<<script
<script>
var progress = false;
function mail_dell(id) {
if(!progress){
if(confirm("Вы точно хотите удалить?")) {
$.ajax({ 
type: "POST", 
url: "/ajax/mail.php", 
data: { 'func' : 'mail_dell', 'id' : id },
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) {
QBinfo('Поздравляем:','<b>Диалог успешно удалён!</b>',4000,'bottom-right');
$("#id-dialog-"+id).remove();}
else if(data == 2) { QBinfo('Ошибка:','<b>Такого диалога нет в системе!</b>',4000,'bottom-right');}
else{ QBinfo('Ошибка:','<b>Попробуйте удалить чуть позже!</b>',4000,'bottom-right'); }
progress = false;
}
});
}
}
}
</script>
script;
}elseif($num_p == 4){
echo "<table style='margin: 20px 0pt; padding-left: 20px;' width='100%' border='0' cellpadding='0' cellspacing='0'>";
echo '<tr>';
echo '<td align="left" width="33%"><span class="corr1" onclick="add_to(1);"><b>Техподдержка</b><br />'.$sitename.'</span></td>';
echo '<td align="left"></td>';
echo '<td align="left" width="33%"><span class="corr3" onclick="add_to(0);"><b>Пользователь</b><br />'.$sitename.'</span></td>';
echo '</tr>';
echo '</table>';
echo "<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>";
echo '<tbody>';
echo "<tr><td width='30%'><b>Получатель (ID)</b></td><td class='value' id='add-to'>";
if(isset($_GET["to"]) AND $_GET["to"] != 0) {
$to = intval($_GET["to"]);
$oto = mysql_fetch_assoc(mysql_query("SELECT `username`,`id` FROM `b_users` WHERE `id`='$to'"));
echo "<b>ID: ".$oto["id"]." | ".$oto["username"]."</b><input type='hidden' id='mailto' value='$to'>";
}else{
echo "<input class='val' type='text' id='mailto' maxlength='7' value='' style='width: 230px'/> <span id='check_us' onclick='check_us();'>Проверить</span>";
}
echo '</td></tr>';
echo '<tr>';
echo '<td>Тема письма</td>';
echo '<td class="value"><input class="val" type="text" id="theme" maxlength="60" value="" /></td>';
echo '</tr>';
echo '<tr>';
echo '<td>Содержание письма</td>';
echo '<td>';
echo '<span class="btn-bold" title="Выделить жирным" onClick="wrapText(`text`,`[b]`,`[/b]`,`counter`); return false;"></span>';
echo '<span class="btn-italic" title="Выделить курсивом" onClick="wrapText(`text`,`[i]`,`[/i]`,`counter`); return false;"></span>';
echo '<span class="btn-uline" title="Выделить подчёркиванием" onClick="wrapText(`text`,`[u]`,`[/u]`,`counter`); return false;"></span>';
echo '<span class="btn-url" title="Выделить URL" onClick="wrapText(`text`,`[url]`,`[/url]`,`counter`); return false;"></span>';
echo '<input class="scount" type="text" id="counter" value="Осталось 1000 символов" readonly="readonly" />';
echo '</td>';
echo '</tr>';
echo '<tr>';
echo '<td class="value" colspan="2">';
echo '<textarea class="expanding" cols="40" rows="3" id="text" onkeyup="descchange(this);"></textarea>';
echo '</td>';
echo '</tr>';
echo '</tbody>';
echo '</table>';
echo '<div class="centerbtn">';
echo "<input type='submit' class='button-green' style='height:26px;' name='submit' value='Отправить' onclick='mess_add();'/>";
echo '</div>';
echo <<<script
<script>
function descchange(elem,counter){
var maxLength = $('#'+elem).attr('maxlength');
var curLength = $('#'+elem).val().length;
$('#'+elem).val($('#'+elem).val().substr(0, maxLength));
var remaning = maxLength - curLength;
if (remaning < 0) remaning = 0;
$('#'+counter).val( 'Осталось ' + remaning + ' символов');
if (remaning < 100) {
$('#'+counter).css('color','#FF0000');
} else {
$('#'+counter).css('color','#68a0bf');
}
}

function wrapText(elementID, openTag, closeTag, counter ) {
    var textArea = $('#' + elementID);
    var len = textArea.val().length;
    var start = textArea[0].selectionStart;
    var end = textArea[0].selectionEnd;
    var selectedText = textArea.val().substring(start, end);
    var replacement = openTag + selectedText + closeTag;
    textArea.val(textArea.val().substring(0, start) + replacement + textArea.val().substring(end, len));
    descchange(elementID,counter);
}

var progress = false;
function mess_add() {
if(!progress){
var theme = $.trim($('#theme').val());
var text = $.trim($('#text').val());
var mailto = $.trim($('#mailto').val());
if(theme == '') {QBinfo('Ошибка:','<b>Вы не указали тему!</b>',4000,'bottom-right');return false;}
if(text == '') {QBinfo('Ошибка:','<b>Вы не указали текст!</b>',4000,'bottom-right');return false;}
if(mailto == '') {QBinfo('Ошибка:','<b>Вы не указали получателя!</b>',4000,'bottom-right');return false;}
$.ajax({ 
type: "POST", 
url: "/ajax/mail.php", 
data: { 'func' : 'mess_add', 'theme' : theme, 'text' : text, 'mailto' : mailto },
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Поздравляем:','<b>Сообщение отправлено!</b>',4000,'bottom-right');document.location.href = "/mail.php";}
else if(data == 2) { QBinfo('Ошибка:','<b>Пользователя с ID '+$.trim($('#mailto').val())+' нет в системе!</b>',4000,'bottom-right');}
else if(data == 3) { QBinfo('Ошибка:','<b>Пользователь запретил отправку ему личных сообщений!</b>',4000,'bottom-right');}
else{ QBinfo('Ошибка:','<b>Попробуйте отправить чуть позже!</b>',4000,'bottom-right'); }
progress = false;
}
});
}
}

function check_us() {
if(!progress){
var us = $.trim($('#mailto').val());
if(mailto == '') {QBinfo('Ошибка:','<b>Вы не указали получателя!</b>',4000,'bottom-right');return false;}
$.ajax({ 
type: "POST", 
url: "/ajax/mail.php", 
data: { 'func' : 'check_us', 'us' : us},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { 
$('#check_us').css('color','#FF0000','cursor','pointer').attr('title','Пользователь не найден');
$('#mailto').val('').css('border','1px solid #FF0000');
}
else{ 
$('#add-to').html(data);}
progress = false;
}
});
}
}

function add_to(id){
if(id == 1){
$('#add-to').html('<b>ID: 1 | $admin</b><input type="hidden" id="mailto" value="1">');
}else{
$('#add-to').html('<input class="val" type="text" id="mailto" maxlength="7" value="" style="width: 230px"/> <span id="check_us" onclick="check_us();">Проверить</span>');
}
}
</script>
script;
}else{
if(isset($_GET["read"])){
$readid = intval($_GET["read"]);
mysql_query("UPDATE `b_mails` SET `read`='1' WHERE `toid`='$id_user' AND (`ident`='$readid' OR `id`='$readid')");
$texto = mysql_fetch_assoc(mysql_query("SELECT `text` FROM `b_mails` WHERE `id`='$readid'"));
$sql = mysql_query("SELECT * FROM `b_mails` WHERE `ident`='$readid' ORDER BY `timemessage` DESC");
$numm = mysql_num_rows($sql)+1;
$nfa = $numm;
?>        
<table class='letter' width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr><td align='center' style='padding: 0 20px;'><span id='addreply' class='mailreply'>Ответить</span></td></tr>
<tr id='replyblock' style='display: none;'>
<td align='center' style='padding: 0 20px 5px;'>
<textarea class='mailarea' cols='40' rows='3' id='reply-text'></textarea><br />
<input type='submit' style='height:26px;' class='button-green' value='Отправить' onclick='reply_mess(<?=$readid?>);' />
</td></tr>
<?
while($row=mysql_fetch_assoc($sql)){
$numm = $numm - 1;
if($row["fromid"] == $_SESSION["iduser"]) { $cvet="2"; }else{ $cvet="1"; } ?>
<tr><td align='left' style='padding: 0 20px;'>
<span class='mailtext<?=$cvet  ?>'><?=nl2br(bbcode($row["text"],"html")) ?><span class='mailtitle<?=$cvet ?>'><?=$row["fromus"] ?> [<?=$row["fromid"] ?>]
(<?=date_get($row["timemessage"]); ?>)<span class='mailnum<?=$cvet ?>'><?=$numm ?></span></span></span>
</td></tr>
<?
}
echo "<tr class='bot'><td style='padding:0;'></td></tr>";
echo "</table>";
$date_h = date("H");
$date_i = date("i");
echo <<<script
<script>
$(document).ready(function(){
$("#addreply").click(function(){
$("#replyblock").show("slow");
$("#addreply").hide("slow");
});
});

var progress = false;
function reply_mess(readid) {
if(!progress){
var hours = $date_h;
var min = $date_i;
var numm = $nfa;
var replytext = $.trim($('#reply-text').val());
if(replytext == '') {QBinfo('Ошибка:','<b>Вы не указали текст!</b>',4000,'bottom-right');return false;}
$.ajax({ 
type: "POST", 
url: "/ajax/mail.php", 
data: { 'func' : 'reply_mess', 'replytext' : replytext, 'readid' : readid },
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { 
QBinfo('Поздравляем:','<b>Сообщение отправлено!</b>',4000,'bottom-right');
$("#replyblock").hide("fast");
$("#addreply").show("fast");
$("<tr><td align='left' style='padding: 0 20px;'><span class='mailtext2'>"+replytext+"<span class='mailtitle2'>{$_SESSION["username"]} [{$_SESSION["iduser"]}] (<b>Сегодня</b> "+hours+":"+min+")<span class='mailnum2'>"+numm+"</span></span></span></td></tr>").hide().insertAfter($("#replyblock")).slideDown("slow");}
else if(data == 2) { QBinfo('Ошибка:','<b>Сообщение нет в системе!</b>',4000,'bottom-right');}
else{ QBinfo('Ошибка:','<b>Попробуйте отправить чуть позже!</b>',4000,'bottom-right'); }
progress = false;
}
});
}
}
</script>
script;
include('footer.php');
exit();
}
} ?></div><?
include('footer.php'); ?>